<script lang="ts" setup>
import type salary from "@/services/salary";
import { useSalaryStore } from "@/stores/salary";
import { useUserStore } from "@/stores/user";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const form = ref<VForm | null>(null);
const salaryStore = useSalaryStore();

async function save() {
  const { valid } = await form.value!.validate();
  if (valid) {
    await salaryStore.saveSalary();
  }
}
</script>
<template>

  <v-dialog v-model="salaryStore.dialog" persistent width="1024">
    <v-card color="#EDEADE">
      <v-row class="justify-center">
            <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" height="80px" color="#1C6758"
              style="color: white"><label>จ่ายเงินเดือน</label>
            </v-card>
        </v-row>
      <v-card-text>
        <v-form ref="form">
          <v-container>
            <v-row>
              <v-col cols="12">โบนัส
                <v-text-field
                  label="โบนัสที่จะจ่ายเพิ่ม"
                  required
                  v-model="salaryStore.editedSalary.bonus"
                ></v-text-field>การหักค่าเสียหาย
                <v-text-field
                  label="หักค่าเสียหาย"
                  required
                  v-model="salaryStore.editedSalary.deduct"
                ></v-text-field>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
        <small>*indicates required field</small>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn size="x-large" class="btngr" @click="salaryStore.dialog = false">Close</v-btn>
        <v-btn size="x-large" class="btng" @click="save"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
<style scoped>
  @import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");
  label {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    font-size: 28px !important;
  }
  /* .dialog {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold !important;
    font-size: 18px !important;
  } */
  .btng {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #9BCB3C;
    width: 80px;
}

.btngr {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #C0C0C0;
    width: 80px;
}
</style>
